---
Fuzzer filename: '/src/lzma-fuzz/lzma2dec_fuzzer.cc'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    _ZL8LzmaFreePK8ISzAllocPv
      functionSourceFile: '/src/lzma-fuzz/./common-alloc.h'
      linkageType:     InternalLinkage
      functionLinenumber: 43
      functionLinenumberEnd: 45
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          17
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - SzFree
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             './common-alloc.h:44,3'
          Dst:             SzFree
    - functionName:    _ZL9LzmaAllocPK8ISzAllocm
      functionSourceFile: '/src/lzma-fuzz/./common-alloc.h'
      linkageType:     InternalLinkage
      functionLinenumber: 35
      functionLinenumberEnd: 41
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          33
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - SzAlloc
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             './common-alloc.h:40,10'
          Dst:             SzAlloc
    - functionName:    _ZL17GetDictionarySizehPm
      functionSourceFile: '/src/lzma-fuzz/lzma2dec_fuzzer.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 41
      functionLinenumberEnd: 50
      functionDepth:   0
      returnType:      bool
      argCount:        2
      argTypes:
        - char
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         7
      ICount:          48
      EdgeCount:       8
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/lzma-fuzz/lzma2dec_fuzzer.cc'
      linkageType:     externalLinkage
      functionLinenumber: 52
      functionLinenumberEnd: 97
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         26
      ICount:          142
      EdgeCount:       35
      CyclomaticComplexity: 11
      functionsReached:
        - Lzma2Dec_Allocate
        - Lzma2Dec_DecodeToBuf
        - Lzma2Dec_Init
        - LzmaDec_Free
        - _ZL17GetDictionarySizehPm
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'lzma2dec_fuzzer.cc:58,8'
          Dst:             _ZL17GetDictionarySizehPm
        - Src:             'lzma2dec_fuzzer.cc:69,7'
          Dst:             Lzma2Dec_Allocate
        - Src:             'lzma2dec_fuzzer.cc:76,3'
          Dst:             Lzma2Dec_Init
        - Src:             'lzma2dec_fuzzer.cc:83,11'
          Dst:             Lzma2Dec_DecodeToBuf
        - Src:             'lzma2dec_fuzzer.cc:95,3'
          Dst:             LzmaDec_Free
    - functionName:    SzFreeTemp
      functionSourceFile: '/src/lzma-fuzz/sdk/C/7zAlloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 66
      functionLinenumberEnd: 80
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          18
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    SzAllocTemp
      functionSourceFile: '/src/lzma-fuzz/sdk/C/7zAlloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 51
      functionLinenumberEnd: 63
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          34
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    SzFree
      functionSourceFile: '/src/lzma-fuzz/sdk/C/7zAlloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 38
      functionLinenumberEnd: 48
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          18
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    SzAlloc
      functionSourceFile: '/src/lzma-fuzz/sdk/C/7zAlloc.c'
      linkageType:     InternalLinkage
      functionLinenumber: 26
      functionLinenumberEnd: 35
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         6
      ICount:          34
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    Lzma2Decode
      functionSourceFile: '/src/lzma-fuzz/sdk/C/Lzma2Dec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 470
      functionLinenumberEnd: 488
      functionDepth:   0
      returnType:      int
      argCount:        8
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - char
        - int
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         11
      ICount:          118
      EdgeCount:       14
      CyclomaticComplexity: 5
      functionsReached:
        - Lzma2Dec_AllocateProbs
        - Lzma2Dec_DecodeToDic
        - Lzma2Dec_Init
        - LzmaDec_FreeProbs
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/Lzma2Dec.c:477,3'
          Dst:             Lzma2Dec_AllocateProbs
        - Src:             'sdk/C/Lzma2Dec.c:480,3'
          Dst:             Lzma2Dec_Init
        - Src:             'sdk/C/Lzma2Dec.c:482,9'
          Dst:             Lzma2Dec_DecodeToDic
        - Src:             'sdk/C/Lzma2Dec.c:486,3'
          Dst:             LzmaDec_FreeProbs
    - functionName:    Lzma2Dec_AllocateProbs
      functionSourceFile: '/src/lzma-fuzz/sdk/C/Lzma2Dec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 72
      functionLinenumberEnd: 76
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - char
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          45
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - Lzma2Dec_GetOldProps
        - LzmaDec_AllocateProbs
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/Lzma2Dec.c:74,3'
          Dst:             Lzma2Dec_GetOldProps
        - Src:             'sdk/C/Lzma2Dec.c:75,10'
          Dst:             LzmaDec_AllocateProbs
    - functionName:    Lzma2Dec_Init
      functionSourceFile: '/src/lzma-fuzz/sdk/C/Lzma2Dec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 86
      functionLinenumberEnd: 94
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          28
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - LzmaDec_Init
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/Lzma2Dec.c:93,3'
          Dst:             LzmaDec_Init
    - functionName:    Lzma2Dec_DecodeToDic
      functionSourceFile: '/src/lzma-fuzz/sdk/C/Lzma2Dec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 177
      functionLinenumberEnd: 301
      functionDepth:   0
      returnType:      int
      argCount:        6
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         67
      ICount:          490
      EdgeCount:       92
      CyclomaticComplexity: 27
      functionsReached:
        - Lzma2Dec_UpdateState
        - LzmaDec_DecodeToDic
        - LzmaDec_InitDicAndState
        - LzmaDec_UpdateWithUncompressed
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/Lzma2Dec.c:208,18'
          Dst:             Lzma2Dec_UpdateState
        - Src:             'sdk/C/Lzma2Dec.c:236,11'
          Dst:             LzmaDec_InitDicAndState
        - Src:             'sdk/C/Lzma2Dec.c:244,9'
          Dst:             LzmaDec_UpdateWithUncompressed
        - Src:             'sdk/C/Lzma2Dec.c:259,11'
          Dst:             LzmaDec_InitDicAndState
        - Src:             'sdk/C/Lzma2Dec.c:266,15'
          Dst:             LzmaDec_DecodeToDic
    - functionName:    Lzma2Dec_UpdateState
      functionSourceFile: '/src/lzma-fuzz/sdk/C/Lzma2Dec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 97
      functionLinenumberEnd: 161
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - char
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         28
      ICount:          255
      EdgeCount:       34
      CyclomaticComplexity: 8
      functionsReached: []
      functionUses:    2
      BranchProfiles:
        - Branch String:   'sdk/C/Lzma2Dec.c:98,3'
          Branch Sides:    []
      Callsites:       []
    - functionName:    LzmaDec_UpdateWithUncompressed
      functionSourceFile: '/src/lzma-fuzz/sdk/C/Lzma2Dec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 164
      functionLinenumberEnd: 170
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          71
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    Lzma2Dec_GetOldProps
      functionSourceFile: '/src/lzma-fuzz/sdk/C/Lzma2Dec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 58
      functionLinenumberEnd: 69
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - char
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         7
      ICount:          73
      EdgeCount:       8
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    Lzma2Dec_DecodeToBuf
      functionSourceFile: '/src/lzma-fuzz/sdk/C/Lzma2Dec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 428
      functionLinenumberEnd: 465
      functionDepth:   0
      returnType:      int
      argCount:        7
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         18
      ICount:          182
      EdgeCount:       23
      CyclomaticComplexity: 7
      functionsReached:
        - Lzma2Dec_DecodeToDic
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/Lzma2Dec.c:450,11'
          Dst:             Lzma2Dec_DecodeToDic
    - functionName:    Lzma2Dec_Parse
      functionSourceFile: '/src/lzma-fuzz/sdk/C/Lzma2Dec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 310
      functionLinenumberEnd: 422
      functionDepth:   0
      returnType:      int
      argCount:        5
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         72
      ICount:          470
      EdgeCount:       98
      CyclomaticComplexity: 28
      functionsReached:
        - Lzma2Dec_UpdateState
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/Lzma2Dec.c:328,18'
          Dst:             Lzma2Dec_UpdateState
    - functionName:    Lzma2Dec_Allocate
      functionSourceFile: '/src/lzma-fuzz/sdk/C/Lzma2Dec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 79
      functionLinenumberEnd: 83
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - char
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         6
      ICount:          45
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - Lzma2Dec_GetOldProps
        - LzmaDec_Allocate
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/Lzma2Dec.c:81,3'
          Dst:             Lzma2Dec_GetOldProps
        - Src:             'sdk/C/Lzma2Dec.c:82,10'
          Dst:             LzmaDec_Allocate
    - functionName:    LzmaDec_DecodeReal_3
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 219
      functionLinenumberEnd: 585
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         340
      ICount:          4567
      EdgeCount:       451
      CyclomaticComplexity: 113
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LzmaDecode
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1165
      functionLinenumberEnd: 1185
      functionDepth:   0
      returnType:      int
      argCount:        9
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
        - int
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         13
      ICount:          124
      EdgeCount:       17
      CyclomaticComplexity: 6
      functionsReached:
        - LzmaDec_AllocateProbs
        - LzmaDec_DecodeToDic
        - LzmaDec_FreeProbs
        - LzmaDec_Init
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/LzmaDec.c:1174,3'
          Dst:             LzmaDec_AllocateProbs
        - Src:             'sdk/C/LzmaDec.c:1177,3'
          Dst:             LzmaDec_Init
        - Src:             'sdk/C/LzmaDec.c:1179,9'
          Dst:             LzmaDec_DecodeToDic
        - Src:             'sdk/C/LzmaDec.c:1183,3'
          Dst:             LzmaDec_FreeProbs
    - functionName:    LzmaDec_AllocateProbs
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1122
      functionLinenumberEnd: 1128
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         8
      ICount:          60
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - LzmaDec_AllocateProbs2
        - LzmaProps_Decode
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/LzmaDec.c:1124,3'
          Dst:             LzmaProps_Decode
        - Src:             'sdk/C/LzmaDec.c:1125,3'
          Dst:             LzmaDec_AllocateProbs2
    - functionName:    LzmaDec_Init
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 869
      functionLinenumberEnd: 872
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          18
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - LzmaDec_InitDicAndState
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/LzmaDec.c:871,3'
          Dst:             LzmaDec_InitDicAndState
    - functionName:    LzmaDec_DecodeToDic
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 877
      functionLinenumberEnd: 1019
      functionDepth:   0
      returnType:      int
      argCount:        6
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         88
      ICount:          676
      EdgeCount:       120
      CyclomaticComplexity: 34
      functionsReached:
        - LzmaDec_DecodeReal2
        - LzmaDec_TryDummy
        - LzmaDec_WriteRem
      functionUses:    3
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/LzmaDec.c:916,3'
          Dst:             LzmaDec_WriteRem
        - Src:             'sdk/C/LzmaDec.c:948,26'
          Dst:             LzmaDec_TryDummy
        - Src:             'sdk/C/LzmaDec.c:967,13'
          Dst:             LzmaDec_DecodeReal2
        - Src:             'sdk/C/LzmaDec.c:982,26'
          Dst:             LzmaDec_TryDummy
        - Src:             'sdk/C/LzmaDec.c:996,13'
          Dst:             LzmaDec_DecodeReal2
    - functionName:    LzmaDec_FreeProbs
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1063
      functionLinenumberEnd: 1066
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          28
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    5
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LzmaDec_WriteRem
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 589
      functionLinenumberEnd: 614
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         20
      ICount:          172
      EdgeCount:       26
      CyclomaticComplexity: 8
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LzmaDec_TryDummy
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 661
      functionLinenumberEnd: 850
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         172
      ICount:          1461
      EdgeCount:       231
      CyclomaticComplexity: 61
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LzmaDec_DecodeReal2
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 625
      functionLinenumberEnd: 650
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - size_t
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         31
      ICount:          190
      EdgeCount:       41
      CyclomaticComplexity: 12
      functionsReached:
        - LzmaDec_DecodeReal_3
        - LzmaDec_WriteRem
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/LzmaDec.c:640,5'
          Dst:             LzmaDec_DecodeReal_3
        - Src:             'sdk/C/LzmaDec.c:645,5'
          Dst:             LzmaDec_WriteRem
    - functionName:    LzmaDec_InitDicAndState
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 854
      functionLinenumberEnd: 866
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - 'N/A'
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         7
      ICount:          52
      EdgeCount:       8
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LzmaProps_Decode
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1081
      functionLinenumberEnd: 1104
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         10
      ICount:          109
      EdgeCount:       12
      CyclomaticComplexity: 4
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LzmaDec_AllocateProbs2
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1107
      functionLinenumberEnd: 1119
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         12
      ICount:          99
      EdgeCount:       15
      CyclomaticComplexity: 5
      functionsReached:
        - LzmaDec_FreeProbs
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/LzmaDec.c:1111,5'
          Dst:             LzmaDec_FreeProbs
    - functionName:    LzmaDec_Allocate
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1131
      functionLinenumberEnd: 1160
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         25
      ICount:          171
      EdgeCount:       33
      CyclomaticComplexity: 10
      functionsReached:
        - LzmaDec_AllocateProbs2
        - LzmaDec_FreeDict
        - LzmaDec_FreeProbs
        - LzmaProps_Decode
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/LzmaDec.c:1134,3'
          Dst:             LzmaProps_Decode
        - Src:             'sdk/C/LzmaDec.c:1135,3'
          Dst:             LzmaDec_AllocateProbs2
        - Src:             'sdk/C/LzmaDec.c:1149,5'
          Dst:             LzmaDec_FreeDict
        - Src:             'sdk/C/LzmaDec.c:1153,7'
          Dst:             LzmaDec_FreeProbs
    - functionName:    LzmaDec_FreeDict
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1069
      functionLinenumberEnd: 1072
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          28
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LzmaDec_Free
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1075
      functionLinenumberEnd: 1078
      functionDepth:   0
      returnType:      void
      argCount:        2
      argTypes:
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         3
      ICount:          21
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - LzmaDec_FreeDict
        - LzmaDec_FreeProbs
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/LzmaDec.c:1076,3'
          Dst:             LzmaDec_FreeProbs
        - Src:             'sdk/C/LzmaDec.c:1077,3'
          Dst:             LzmaDec_FreeDict
    - functionName:    LzmaDec_DecodeToBuf
      functionSourceFile: '/src/lzma-fuzz/sdk/C/LzmaDec.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1023
      functionLinenumberEnd: 1060
      functionDepth:   0
      returnType:      int
      argCount:        7
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         18
      ICount:          177
      EdgeCount:       23
      CyclomaticComplexity: 7
      functionsReached:
        - LzmaDec_DecodeToDic
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'sdk/C/LzmaDec.c:1046,11'
          Dst:             LzmaDec_DecodeToDic
...
